API ReferenceTask Checklist
Creates a TaskChecklist resource
Creates a TaskChecklist resource
Authorization
apiKey Authorization<token>
Value for the Authorization header parameter.
In: header
The new TaskChecklist resource
TypeScript Definitions
Use the request body type in TypeScript.
identifier*string
Format
uuidname*string
Length
length <= 60task*string
Format
uuidResponse Body
curl -X POST "https://example.com/project/task-checklists" \ -H "Content-Type: application/json" \ -d '{ "identifier": "14d3030c-3b61-4070-b902-342f80e99364", "name": "string", "task": "4879b8a6-fb3e-4a0d-aef8-b0ea469ac85c" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "weight": 0, "taskChecklistItems": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "isChecked": true, "weight": 0 } ], "leader": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "shortCode": "string", "firstName": "string", "lastName": "string", "email": "string", "pictureSm": "string", "pictureLg": "string", "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7", "contractorName": "string", "canLogIn": true, "phoneNumber": "string", "jobPositionName": "string", "hourlyRate": null, "isExternal": true, "decorator": "string" }}